[Pcsclite-cvs-commit] MCardApplet create_distrib.sh,1.2,1.3

rousseau@quantz.debian.org rousseau@quantz.debian.org
Fri, 19 Dec 2003 23:14:48 +0100


Update of /cvsroot/muscleplugins/MCardApplet
In directory quantz:/tmp/cvs-serv20055

Modified Files:
	create_distrib.sh 
Log Message:
corrected to generate the doc and store the sources in the correct place


Index: create_distrib.sh
===================================================================
RCS file: /cvsroot/muscleplugins/MCardApplet/create_distrib.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- create_distrib.sh	7 Jan 2003 21:49:29 -0000	1.2
+++ create_distrib.sh	19 Dec 2003 22:14:45 -0000	1.3
@@ -2,11 +2,7 @@
 
 # $Id$
 
-# create a new directory named after the current directory name
-# the directory name should be in the form foo-bar.x.y.z
-# the use of "_" is not recommanded since it is a problem for Debian
-
-dir=$(basename $(pwd))
+dir=$(basename $(pwd))-$(perl -ne 'if (m/^\d.\d.\d/) { s/ .*//; print; exit;}' README)
 
 echo -e "Using $dir as directory name\n"
 
@@ -28,14 +24,11 @@
 #make clean &> /dev/null
 #echo "done"
 
-# doc
-echo -n "Generating documentation..."
-( cd doc  && ./generate.sh &> /dev/null )
-echo "done"
+set -e
 
 # CVS
 echo -n "Generating CVS Changelog..."
-rcs2log > Changelog.cvs
+#rcs2log > Changelog.cvs
 echo "done"
 
 present_files=$(tempfile)
@@ -77,6 +70,15 @@
 	echo "cp $i $dir/$i"
 	cp -a $i $dir/$i
 done
+
+# copy src
+mkdir -p $dir/src/com/musclecard/CardEdge
+cp src/*.java $dir/src/com/musclecard/CardEdge
+
+# doc
+echo -n "Generating documentation..."
+( cd $dir && ./DocGenerate.sh  &> /dev/null )
+echo "done"
 
 tar czvf ../$dir.tar.gz $dir
 rm -r $dir